Subject: Re: bug#23779: 25.0.95; consing "SHELLVAR" onto process-environment doesn't remove it from subprocess env

From: Eli Zaretskii <[email-masked]>
Date: Fri, 17 Jun 2016 17:19:28 +0300

> Cc: [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Fri, 17 Jun 2016 17:12:52 +0300
> 
> On 06/17/2016 05:01 PM, Eli Zaretskii wrote:
> 
> > Looks like this never worked as intended.  Does the patch below fix
> > this?
> 
> Looks like it does. Please push at your convenience.

I'd like the patch to be eyeballed by a few more people.  Paul,
Andreas, do you see any problems with it?  If not, I'd like to push it
to the emacs-25 branch.

> I wonder if we should make setenv work non-destructively now.

Why should we do that?  We have initial-environment if we need the
original value.